<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.0"?>
<plugin
   id="org.eclipse.wtp.releng.tools.component.ui"
   name="Component UI"
   version="1.0.0"
   provider-name=""
   class="org.eclipse.wtp.releng.tools.component.ui.internal.ComponentUIPlugin">

   <runtime>
      <library name="componentui.jar">
         <export name="*"/>
      </library>
   </runtime>

   <requires>
      <import plugin="org.eclipse.ui"/>
      <import plugin="org.eclipse.core.runtime"/>
      <import plugin="org.eclipse.wtp.releng.tools.component.core"/>
      <import plugin="org.eclipse.core.resources"/>
      <import plugin="org.eclipse.jdt.core"/>
      <import plugin="org.eclipse.ui.forms"/>
      <import plugin="org.eclipse.ui.ide"/>
      <import plugin="org.eclipse.pde.core"/>
      <import plugin="org.eclipse.pde.ui"/>
   </requires>

   <extension point="org.eclipse.ui.startup"/>

   <extension point="org.eclipse.ui.editors">
      <editor
         default="true"
         name="%EDITOR_COMPONENT_XML"
         icon="icons/componentxml.gif"
         filenames="component.xml"
         class="org.eclipse.wtp.releng.tools.component.ui.internal.editor.ComponentXMLEditor"
         id="org.eclipse.wtp.releng.tools.component.ui.internal.editor.ComponentXMLEditor"
      />
   </extension>

   <extension point="org.eclipse.ui.popupMenus">
      <objectContribution
         objectClass="org.eclipse.core.resources.IFile"
         nameFilter="component.xml"
         id="org.eclipse.wtp.releng.tools.component.ui.internal.action.ScanAPI">
         <menu
            label="%LABEL_POPUP_MENU_COMPONENT"
            path="additions"
            id="org.eclipse.wtp.releng.tools.component.ui.popupMenu">
            <separator name="popupActions"/> 
         </menu>
         <action
            label="%LABEL_POPUP_ACTION_API_SCAN_COMPONENT"
            class="org.eclipse.wtp.releng.tools.component.ui.internal.action.ScanAPI"
            menubarPath="org.eclipse.wtp.releng.tools.component.ui.popupMenu/popupActions"
            id="org.eclipse.wtp.releng.tools.component.ui.internal.action.ScanAPI"/> 
      </objectContribution>
   </extension>

</plugin>
